Subject: bug#57611: rust-once-cell (alacritty dependency) build failure

From: Maxime Devos <[email-masked]>
Date: Wed, 7 Sep 2022 20:44:27 +0200

On 07-09-2022 01:15, Ben Van Sleen wrote:
> Subject:
> bug#57611: rust-once-cell (alacritty dependency) build failure
> From:
> Ben Van Sleen <[email-masked]>
> Date:
> 07-09-2022 01:15
>
> To:
> [email-masked]
>
>
> rust-once-cell-1 can't be built because it now depends on 
> rust-parking-lot-core-0.9. This can't be built because it now requires 
> rust-windows-sys-0.36 according to the crates page 
> (https://crates.io/crates/parking_lot_core/0.9.3/dependencies). This 
> package definition can be found in the guix channel that Must Not Be 
> Named (right next to firefox), and is not present in the main guix repo.
>
> I would guess the reasoning behind this is that rust-windows-sys 
> requires some kind of nonfree code in its dependencies (perhaps 
> rust-windows-aarch64-msvc-0.36?).
AFAICT it is free, though whoever maintains that package forgot to 
include a copy of the license text.
> If I'm wrong about this and the package does meet the Guix repo 
> standards, then the alacritty problem can be fixed by incorporating 
> the rust-windows-sys-0.36 package definition into (gnu packages 
> crates-io).

Another solution would be to remove the dependency rust-windows-sys from 
rust-parking-lot-core-0.9 by patching the Cargo.toml appropriately (this 
dependency is only required for compiling to Windows targets).

Greetings,
MAxime.